Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSessionDetailOrder

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionDetailOrder

All Implemented Interfaces:
  `ContractIdable`

public class VoiceSessionDetailOrder extends ContractId

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VoiceSessionDetailOrder.EmailSend`
  `static enum`
  `VoiceSessionDetailOrder.FormatType`
  `static enum`
  `VoiceSessionDetailOrder.Status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSessionDetailOrder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceSessionDetailOrder`
  `from(VoiceSessionDetailOrder order)`
  `int`
  `getAccountId()`
  `Date`
  `getCreateDate()`
  `String`
  `getEmail()`
  `VoiceSessionDetailOrder.EmailSend`
  `getEmailSend()`
  `long`
  `getFileSize()`
  `VoiceSessionDetailOrder.FormatType`
  `getFormatType()`
  `int`
  `getMonth()`
  `VoiceSessionDetailOrder.Status`
  `getStatus()`
  `int`
  `getYear()`
  `VoiceSessionDetailOrder`
  `setAccountId(int accountId)`
  `VoiceSessionDetailOrder`
  `setContractId(int contractId)`
  `VoiceSessionDetailOrder`
  `setCreateDate(Date createDate)`
  `VoiceSessionDetailOrder`
  `setEmail(String email)`
  `VoiceSessionDetailOrder`
  `setEmailSend(VoiceSessionDetailOrder.EmailSend emailSend)`
  `VoiceSessionDetailOrder`
  `setFileSize(long fileSize)`
  `VoiceSessionDetailOrder`
  `setFormatType(VoiceSessionDetailOrder.FormatType formatType)`
  `VoiceSessionDetailOrder`
  `setMonth(int month)`
  `VoiceSessionDetailOrder`
  `setStatus(VoiceSessionDetailOrder.Status status)`
  `VoiceSessionDetailOrder`
  `setYear(int year)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionDetailOrder

    public VoiceSessionDetailOrder()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### getCreateDate

    public Date getCreateDate()

  - ### getEmail

    public String getEmail()

  - ### getEmailSend

    public VoiceSessionDetailOrder.EmailSend getEmailSend()

  - ### getFileSize

    public long getFileSize()

  - ### getFormatType

    public VoiceSessionDetailOrder.FormatType getFormatType()

  - ### getMonth

    public int getMonth()

  - ### getStatus

    public VoiceSessionDetailOrder.Status getStatus()

  - ### getYear

    public int getYear()

  - ### setAccountId

    public VoiceSessionDetailOrder setAccountId(int accountId)

  - ### setContractId

    public VoiceSessionDetailOrder setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### setCreateDate

    public VoiceSessionDetailOrder setCreateDate(Date createDate)

  - ### setEmail

    public VoiceSessionDetailOrder setEmail(String email)

  - ### setEmailSend

    public VoiceSessionDetailOrder setEmailSend(VoiceSessionDetailOrder.EmailSend emailSend)

  - ### setFileSize

    public VoiceSessionDetailOrder setFileSize(long fileSize)

  - ### setFormatType

    public VoiceSessionDetailOrder setFormatType(VoiceSessionDetailOrder.FormatType formatType)

  - ### setMonth

    public VoiceSessionDetailOrder setMonth(int month)

  - ### setStatus

    public VoiceSessionDetailOrder setStatus(VoiceSessionDetailOrder.Status status)

  - ### setYear

    public VoiceSessionDetailOrder setYear(int year)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### from

    public static VoiceSessionDetailOrder from(VoiceSessionDetailOrder order)